<template>
	<v-container style="height: 100%">
		<UserTable :headers="headers" :items="users" :length="length" @on-page-change="paginateUser" />
	</v-container>
</template>

<script>
import UserTable from './components/UserTable.vue';
export default {
	components: { UserTable },
	
	data() {
		return {
			headers: [
				{
					text: 'Name',
					value: 'name',
				},
				{
					text: 'Email',
					value: 'email',
				},
				{
					text: 'Created at',
					value: 'created_at',
				},
				{
					text: 'Action',
					value: 'action',
				},
			],
			length: 1,
			users: [],
		};
	},
	created() {
		this.paginateUser();
	},
	methods: {
		async paginateUser(page = 1) {
			const { data } = await this.$axios.get(`paginate-user?page=${page}`);
			this.users = data.data;
			this.length = data.last_page;
		},
	},
};
</script>
